Bug Hunting Session
Bug 39109 - UI: Checkbox 'Suppress output of empty pages' without influence
Summary: UI: Checkbox 'Suppress output of empty pages' without influence
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.4.1 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL: http://wiki.documentfoundation.org/Ca...
Whiteboard:
Keywords:
Depends on:
Blocks: Printer-Settings Options-Dialog-Calc
  Show dependency treegraph
 
Reported: 2011-07-10 03:25 UTC by Rainer Bielefeld Retired
Modified: 2018-01-01 22:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-07-10 03:25:10 UTC
I found with "LibreOffice 3.4.1  - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:103)]" that in Menu 'File -> Printer Settinggs -> Options - "Suppress output or empty pages" is without influence. 

IMHO setting here should be preselection for checkbox in Menu 'File -> Print -> LibO Calc - Include output of empty pages', what will cause expected print results. For details please see Specification under URL.

@David:
Currently Help is not useful, Help that will be reached clicking Help button does not mention "Options" button in printer settings dialog. Can you please check?
Comment 1 André Schnabel 2011-08-02 12:01:16 UTC
I cannot confirm using LibO3.4.2 (win7 64bit, German UI)

The print dialog for spreadsheets actually *does* respect the settings in tools - options - calc - print. But you need to be aware, that Tools - Options and the print dialog have inverse logic.

Disable "Supress output of empti pages" in Tools - Options 
-> will enable "Include Output of Empty pages" in Print Dialog, Calc

Enable "Supress output of empti pages" in Tools - Options 
-> will Disbale "Include Output of Empty pages" in Print Dialog, Calc

so I'm closing with worksforme .. feel free to reopen, if the bug still exists
Comment 2 Mark Hedges 2016-08-10 22:34:54 UTC
The problem seems to be if the "empty pages" actually have cells with formulas in them that yield empty strings.

Take a sheet with A1=1, A2=2, A3=3; B1-B100 => =IF(Ax,Ax,"") where x is row num.

Result is B1, B2, B3 contain A1, A2, A3 and B4-B100 contain empty strings.

However, all rows B1-B100 will be printed.

Only B1-B3 should be printed because the rest are empty.  Empty string means empty.  There is no content there.

Or, if they were zeros, then they should not be printed if "print zeros" is not selected.

This is useful to create a general calculator sheet template that has room for several hundred entries, for example, with the formula already pasted in for each row ... but maybe on this copied instance of the sheet I only have 5 entries.  Categorized profit and loss statements or other financial projections, for instance.

Thanks.
Comment 3 Mark Hedges 2016-08-10 22:35:36 UTC
BTW I have Version: 4.3.3.2, Build ID: 430m0(Build:2)
Comment 4 Buovjaga 2016-10-21 16:52:29 UTC
Ok, seems we can set to NEW.

Mark: can you also test with version 5.2 to verify the problem persists?
Comment 5 QA Administrators 2017-10-23 14:12:07 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug